Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

- Compiles Groovy source files.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `add, createExcludesFile, setDefaultexcludes, createIncludesFile, addContainsRegexp, setCaseSensitive, setIncludes, setExcludes, addType, addDate, XsetItems, XsetIgnore, setFollowSymlinks, getSelectors, addSelector, setProject, createExclude, setIncludesfile, selectorElements, selectorCount, hasSelectors, appendSelector, addAnd, addOr, addNot, addSize, addNone, createPatternSet, addMajority, setExcludesfile, addFilename, addCustom, createInclude, addDifferent, addDepth, addPresent, addDepend, addModified, addContains, log, log, log, log, init, execute, getTaskName, perform, reconfigure, bindToOwner, setTaskName, maybeConfigure, setTaskType, getOwningTarget, getTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, setDescription, getProject, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### protected void compile()

    - #### public void setForce(boolean flag)